﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@{
    ViewBag.Title = "TransferStudent";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Transfer Student</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Transfer Student</li>
    </ul>


    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="button" id="btnSubmit" value="Save" class="btn btn-primary" />
               
                <a href="/MaAdmission/StudentTransferIndex" class="btn btn-primary"> Cancel</a>

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        @*<form id="tab">*@
                            <table width="860px">
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Student</td>
                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @*@Html.DropDownList("StudentId", null, new { @id = "combobox" })*@
                                        @Html.DropDownList("StudentId", null, new {@class = "form-control input-large select2me", @readonly = "true" })
                                      @*<input type="text"  value="@ViewBag.Student" class="form-control" readonly />
                                        <input type="hidden" id="stid" name="stid" value="@ViewBag.StId" class="form-control" />*@
                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>To Branch</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("BranchId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select..." ,@required="true" })
                                      
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>From Branch</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("BranchIdF", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select...", @readonly = "true" })

                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>To Counsellor</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("UserId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select...", @required = "true" })

                                    </td>
                                </tr>
                                <tr>
                           
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Transfer Date</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        <input type="text" id="Tdate" name="Tdate" value="@ViewBag.fdate" class="form-control"  required/>

                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Remarks</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        <textarea type="text" id="Remarks" name="Remarks" class="form-control" rows="3"></textarea>

                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Course</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        <textarea id="course" name="course" class="form-control" rows="2"  readonly >@ViewBag.Couse</textarea>

                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Package</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        <input id="pkg" name="pkg" class="form-control" value="@ViewBag.Packg" readonly />

                                    </td>
                                  
                                  
                                </tr>
                                @*<tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Balance amount</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @{
                                            if (utype == CommonUtil.UserTypeAdmin || utype == CommonUtil.UserTypeSuperAdmin)
                                            {
                                                <input id="Balance" name="Balance" class="form-control" value="@ViewBag.DueAmt"/>
                                            }
                                            else
                                            {
                                                <input id="Balance" name="Balance" class="form-control" value="@ViewBag.DueAmt" readonly />
                                            }
                                        }
                                     
                                    </td>
                                </tr>*@

                            </table>

                        @*</form>*@
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">

                </div>
                <div class="modal-body" >
                   
                    <h3>Are you sure you want to transfer @ViewBag.Name ?</h3>
                    <br />
                    <h4><b>Note :</b> Ensure that All the Mandatory fields are filled. </h4>
                </div>
                <div class="modal-footer">
                    <input type="submit" value="Save" id="SubButton" class="btn btn-primary"  />
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

                                            }

@section scripts{
<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
@Content.Script("AutoComplete-Ui.min.js", Url)
<script type="text/javascript">
        $(document).ready(function () {

            $('.ui-autocomplete-input').val('');
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');

        });

        $("#combobox").combobox();
</script>
    <script>
        $("#BranchId").change(function () {
            Checkbranch();
            var BchId = $(this).val();
            $.getJSON("/MaAdmission/LoadCousellorByBranch", { bid: BchId },
   function (modelData) {
       var select = $("#UserId");
       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select"
       }));
       $.each(modelData, function (index, itemData) {
           select.append($('<option/>', {
               value: itemData.Value,
               text: itemData.Text,
           }));
       });
   });
        });
</script>
    <script>
        function Checkbranch()
        {
            var B1 = $("#BranchIdF").val();
            var B2 = $("#BranchId").val();
            if (B1==B2) {
                alert("Please Select Different Branch");
                $("#BranchId").val('');
            }
        }
    </script>
    <script>
        $("#Tdate").datepicker();
    </script>
    <script>
        $("#btnSubmit").click(function () {
            $("#basic").modal('show');
        })

    </script>
    }

